For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
      • GETGet payment intents
      • GETGet a payment intent by ID
      • PATCHUpdate a payment intent's amount
      • GETGet a payment intent's history
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
PaymentsPayment intents

Get a payment intent's history

GET
/payment_intents/:payment_intent_id/history
GET
/v1/payment_intents/:payment_intent_id/history
$curl https://api.sandbox.monite.com/v1/payment_intents/payment_intent_id/history \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "payment_intent_id": "payment_intent_id",
8 "status": "created"
9 }
10 ]
11}
The history of a payment intent contains its [status changes](https://docs.monite.com/payments/payment-intents#lifecycle) and the date and time of each status change.
Was this page helpful?
Previous

Create a payment link

Next
Built with

The history of a payment intent contains its status changes and the date and time of each status change.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payment_intent_idstringRequired
ID of a payment intent to get the history for.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
datalist of objects
A list of status changes and their timestamps.

Errors

400
Get Payment Intents ID History Request Bad Request Error
401
Get Payment Intents ID History Request Unauthorized Error
404
Get Payment Intents ID History Request Not Found Error
422
Get Payment Intents ID History Request Unprocessable Entity Error
429
Get Payment Intents ID History Request Too Many Requests Error